<?php


namespace App\Entities\Recepcao;

use App\Entities\Recepcao\Recepcionista;
use App\Utils\Builder;

class RecepcionistaBuilder implements Builder
{
    private $id;
    private $id_profissional;

    public function setId(int $id): RecepcionistaBuilder
    {
        $this->id = $id;
        return $this;
    }

    public function setIdProfissional(int $id_profissional): RecepcionistaBuilder
    {
        $this->id_profissional = $id_profissional;
        return $this;
    }

    public function build() : Recepcionista
    {
        $recepcionista = new Recepcionista();
        if (isset($this->id)) {
            $recepcionista->setId($this->id);
        }
        if (isset($this->id_profissional)) {
            $recepcionista->setIdProfissional($this->id_profissional);
        }
        return $recepcionista;
    }

}